CREATE TABLE IF NOT EXISTS HV_Map_LandPlots 
(
	MapType			text 		default null,
	MapSize			text 		default null,
	Region			text 		default null,
	Y				integer 	default 0,
	Xstart			integer 	default 0,
	Xend			integer 	default 0
);

CREATE TABLE IF NOT EXISTS HV_Map_Sizes
(
	MapType			text 		default null,
	MapSize			text 		default null,
	Width			text 		default null,
	Height			integer 	default 0
);

CREATE TABLE IF NOT EXISTS HV_Map_MountainSplats
(
	MapType			text 		default null,
	MapSize			text 		default null,
	X				integer 	default 0,
	Y				integer 	default 0,
	Radius			integer 	default 0
);


INSERT INTO HV_Map_Sizes (MapType, MapSize, Width, Height)
VALUES ('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 60, 45);

INSERT INTO HV_Map_LandPlots (MapType, MapSize, Region, Y, Xstart, Xend)
VALUES 
-- ===== Small Islands =====
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_WIGHT',  5, 32, 33),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_WIGHT',  4, 31, 32),

('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_HEBRIDES',  40, 30, 30),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_HEBRIDES',  39, 23, 23), ('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_HEBRIDES',  39, 25, 25), ('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_HEBRIDES',  39, 27, 27), ('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_HEBRIDES',  39, 29, 30),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_HEBRIDES',  38, 29, 29),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_HEBRIDES',  37, 28, 28),

('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_MAN',  24, 23, 23),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_MAN',  23, 23, 24),

('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_MAN',  31, 26, 26),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_MAN',  30, 24, 24),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_MAN',  29, 23, 23),

('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_ORKNEY',  43, 49, 49),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_ORKNEY',  42, 48, 50),

('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_ORKNEY',  40, 49, 49),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_ORKNEY',  39, 49, 50),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_ORKNEY',  38, 48, 50),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_ORKNEY',  37, 48, 49),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_ORKNEY',  36, 48, 48),

('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_CHANNEL_NORTH',  24, 53, 54),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_CHANNEL_NORTH',  19, 52, 52),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_CHANNEL_NORTH',  18, 51, 51),

('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_CHANNEL_SOUTH',  14, 46, 46),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_CHANNEL_SOUTH',  13, 44, 44),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_CHANNEL_SOUTH',  12, 46, 46),

('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ISLE_SCILLY',  2, 11, 11),

-- ===== Scotland =====
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_EAST',  37, 31, 32),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_EAST',  36, 30, 32),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_EAST',  35, 30, 34),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_EAST',  34, 30, 35),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_EAST',  33, 29, 35),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_EAST',  32, 29, 36),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_EAST',  31, 28, 37),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_EAST',  30, 29, 38),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_EAST',  29, 29, 38),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_EAST',  28, 30, 36), -- firth of forth
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_EAST',  27, 28, 36),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_EAST',  26, 27, 35), -- scotland/england border

('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_WEST',  34, 38, 43), ('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_WEST',  34, 48, 48),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_WEST',  33, 38, 50),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_WEST',  32, 39, 51),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_WEST',  31, 39, 49),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_WEST',  30, 39, 46), -- firth of forth
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_WEST',  29, 39, 45),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_WEST',  28, 38, 43),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_WEST',  27, 38, 44),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_WEST',  26, 39, 40), ('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'SCOTLAND_WEST',  26, 43, 45),

-- ===== England =====
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_NORTH',  25, 27, 32),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_NORTH',  24, 27, 33),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_NORTH',  23, 27, 33),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_NORTH',  22, 27, 34),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_NORTH',  21, 27, 33),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_NORTH',  20, 26, 34),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_NORTH',  19, 27, 34), -- top of wales
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_NORTH',  18, 28, 29), ('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_NORTH',  18, 31, 33),

('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH',  18, 30, 30),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH',  17, 28, 34),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH',  16, 28, 33),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH',  15, 27, 34),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH',  14, 28, 34),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH',  13, 28, 34),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH',  12, 27, 33), -- thames estury, bottom of wales
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH',  11, 26, 34), 
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH',  10, 27, 35), -- top of cornwall
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH',  9, 28, 34),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH',  8, 27, 33),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH',  7, 28, 32),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH',  6, 29, 30),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH',  5, 29, 29),

('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL',  10, 25, 26),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL',  9, 24, 27),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL',  8, 23, 26),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL',  7, 20, 27),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL',  6, 19, 28),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL',  5, 15, 26), ('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL',  10, 28, 28),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL',  4, 14, 23),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL',  3, 15, 21),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL',  2, 16, 16), ('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL',  2, 19, 20),

-- ===== Wales =====
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'WALES',  19, 24, 26),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'WALES',  18, 21, 27),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'WALES',  17, 22, 27),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'WALES',  16, 23, 27),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'WALES',  15, 22, 26),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'WALES',  14, 23, 27),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'WALES',  13, 20, 27),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'WALES',  12, 21, 21), ('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'WALES',  12, 23, 23), ('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'WALES',  12, 26, 26),

-- ===== Ireland =====
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_NORTH',  37, 17, 18), ('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_NORTH',  37, 23, 25),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_NORTH',  36, 16, 19), ('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_NORTH',  36, 21, 25),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_NORTH',  35, 17, 24),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_NORTH',  34, 17, 23),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_NORTH',  33, 17, 23),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_NORTH',  32, 16, 23),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_NORTH',  31, 14, 22),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_NORTH',  30, 15, 21),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_NORTH',  29, 18, 20),

('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_SOUTH',  30, 14, 14),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_SOUTH',  29, 13, 17),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_SOUTH',  28, 13, 19),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_SOUTH',  27, 12, 19),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_SOUTH',  26, 10, 20),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_SOUTH',  25, 10, 20),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_SOUTH',  24, 9, 20),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_SOUTH',  23, 8, 20),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_SOUTH',  22, 9, 18),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'IRELAND_SOUTH',  21, 13, 16),

-- ===== The Continent =====
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  25, 59, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  24, 58, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  23, 57, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  22, 56, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  21, 55, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  20, 54, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  19, 54, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  18, 55, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  17, 56, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  16, 54, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  15, 51, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  14, 50, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  13, 49, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  12, 48, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  11, 50, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  10, 49, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  9, 49, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  8, 49, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  7, 49, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  6, 49, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  5, 49, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  4, 49, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  3, 50, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  2, 50, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  1, 50, 59),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'GERMANY',  0, 49, 59),

('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'FRANCE',  10, 47, 47),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'FRANCE',  9, 47, 48),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'FRANCE',  8, 37, 41), ('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'FRANCE',  8, 43, 44), ('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'FRANCE',  8, 46, 48),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'FRANCE',  7, 36, 48),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'FRANCE',  6, 36, 48),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'FRANCE',  5, 36, 48),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'FRANCE',  4, 35, 48),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'FRANCE',  3, 34, 49),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'FRANCE',  2, 33, 49),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'FRANCE',  1, 31, 49),
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 'FRANCE',  0, 30, 49)

;

INSERT INTO HV_Map_MountainSplats (MapType, MapSize, X, Y, Radius)
VALUES
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 30, 30, 8), -- scottish highlands, east
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 41, 30, 8), -- scottish highlands, west
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 26, 17, 4), -- snowdonia
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 28, 24, 5), -- pennines
('BRIT_POTOLOMY', 'MAPSIZE_SMALL', 19, 3, 3) -- cornwall

;

		
