CREATE TABLE IF NOT EXISTS HV_Map_LandPlots 
(
	MapType			text 		default null,
	MapSize			text 		default null,
	Region			text 		default null,
	Y				integer 	default 0,
	Xstart			integer 	default 0,
	Xend			integer 	default 0
);

CREATE TABLE IF NOT EXISTS HV_Map_Sizes
(
	MapType			text 		default null,
	MapSize			text 		default null,
	Width			text 		default null,
	Height			integer 	default 0
);

CREATE TABLE IF NOT EXISTS HV_Map_MountainSplats
(
	MapType			text 		default null,
	MapSize			text 		default null,
	X				integer 	default 0,
	Y				integer 	default 0,
	Radius			integer 	default 0
);


INSERT INTO HV_Map_Sizes (MapType, MapSize, Width, Height)
VALUES ('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 70, 53);

INSERT INTO HV_Map_LandPlots (MapType, MapSize, Region, Y, Xstart, Xend)
VALUES 
-- ===== Small Islands =====
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_WIGHT',  6, 38, 39),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_WIGHT',  5, 37, 38),

('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_MAN',  37, 31, 31),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_MAN',  36, 31, 31),

('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_MAN',  36, 28, 28),

('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_MAN',  34, 27, 27),

('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_MAN',  28, 27, 27),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_MAN',  27, 27, 28),

('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  47, 32, 32), ('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  47, 35, 35),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  46, 27, 27), ('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  46, 29, 29), ('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  46, 31, 32), ('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  46, 34, 35),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  45, 34, 34),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  44, 33, 33),

('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_ORKNEYS',  51, 57, 58),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_ORKNEYS',  50, 55, 59),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_ORKNEYS',  49, 56, 58),

('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_ORKNEYS',  47, 57, 57), ('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_ORKNEYS',  47, 57, 57),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_ORKNEYS',  46, 57, 60),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_ORKNEYS',  45, 56, 59),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_ORKNEYS',  44, 56, 57),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_ORKNEYS',  43, 56, 57),

('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_CHANNEL_NORTH',  28, 62, 63),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_CHANNEL_NORTH',  27, 62, 62),

('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_CHANNEL_NORTH',  22, 60, 60),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_CHANNEL_NORTH',  21, 59, 60),

('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_CHANNEL_SOUTH',  17, 52, 52),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_CHANNEL_SOUTH',  15, 52, 52),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_CHANNEL_SOUTH',  14, 54, 54),

('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ISLE_SCILLY',  2, 13, 13),
-- ===== Scotland =====
	
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_EAST',  44, 36, 38), 
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_EAST',  43, 35, 37), 
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_EAST',  42, 35, 38),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_EAST',  41, 35, 40), 
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_EAST',  40, 35, 41), 
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_EAST',  39, 34, 41), 
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_EAST',  38, 34, 42), 
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_EAST',  37, 33, 43), 
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_EAST',  36, 34, 44), 
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_EAST',  35, 34, 44), 
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_EAST',  34, 34, 44), 
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_EAST',  33, 35, 42), 
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_EAST',  32, 33, 42), 
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_EAST',  31, 32, 41), 


('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_WEST',  40, 44, 51), ('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_WEST',  40, 56, 56),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_WEST',  39, 45, 59),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_WEST',  38, 44, 60),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_WEST',  37, 44, 59),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_WEST',  36, 45, 55),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_WEST',  35, 45, 53),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_WEST',  34, 45, 53), 
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_WEST',  33, 44, 51),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_WEST',  32, 44, 52),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_WEST',  31, 46, 47), ('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'SCOTLAND_WEST',  31, 49, 53),

-- ===== England =====
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  30, 32, 38),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  29, 32, 39),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  28, 32, 39),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  27, 32, 39),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  26, 32, 40),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  25, 31, 39),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  24, 30, 40),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  23, 31, 40),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  22, 32, 39),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  21, 33, 34), ('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  21, 37, 39),

('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  21, 35, 36),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  20, 33, 39),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  19, 33, 38),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  18, 32, 39),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  17, 33, 40),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  16, 33, 40),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  15, 33, 39),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  14, 32, 38),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  13, 31, 39),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  12, 31, 41),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  11, 32, 41),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  10, 32, 40),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  9, 32, 39),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  8, 33, 38),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  7, 34, 35),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  6, 34, 34),

('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  12, 29, 30),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  11, 28, 31),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  10, 28, 31),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  9, 27, 31),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  8, 23, 32),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  7, 22, 33),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  6, 18, 30), ('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  6, 33, 33),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  5, 17, 27),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  4, 18, 25),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  3, 18, 19), ('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  3, 22, 23),
 

-- ===== Wales =====
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'WALES',  23, 29, 30),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'WALES',  22, 27, 31),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'WALES',  21, 25, 32),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'WALES',  20, 26, 32),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'WALES',  19, 27, 32),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'WALES',  18, 26, 31),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'WALES',  17, 27, 32),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'WALES',  16, 25, 32),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'WALES',  15, 24, 32),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'WALES',  14, 25, 25), ('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'WALES',  14, 27, 27),

-- ===== Ireland =====
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_NORTH',  44, 27, 29),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_NORTH',  43, 20, 22), ('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_NORTH',  43, 24, 30),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_NORTH',  42, 19, 29),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_NORTH',  41, 20, 28),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_NORTH',  40, 20, 27),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_NORTH',  39, 20, 27),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_NORTH',  38, 19, 27),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_NORTH',  37, 18, 26),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_NORTH',  36, 16, 26),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_NORTH',  35, 18, 25),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_NORTH',  34, 21, 24),

('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_SOUTH',  35, 15, 17),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_SOUTH',  34, 15, 20),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_SOUTH',  33, 15, 23),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_SOUTH',  32, 14, 23),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_SOUTH',  31, 12, 23),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_SOUTH',  30, 12, 23),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_SOUTH',  29, 11, 23),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_SOUTH',  28, 10, 23),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_SOUTH',  27, 10, 24),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_SOUTH',  26, 11, 21),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'IRELAND_SOUTH',  25, 15, 19),

-- ===== The Continent =====
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  30, 69, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  29, 68, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  28, 67, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  27, 66, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  26, 65, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  25, 64, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  24, 63, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  23, 63, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  22, 63, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  21, 64, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  20, 65, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  19, 63, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  18, 60, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  17, 59, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  16, 58, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  15, 56, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  14, 56, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  13, 58, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  12, 57, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  11, 58, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  10, 58, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  9, 58, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  8, 58, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  7, 58, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  6, 58, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  5, 58, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  4, 59, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  3, 59, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  2, 59, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  1, 59, 69),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'GERMANY',  0, 59, 69),


('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'FRANCE',  12, 55, 55),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'FRANCE',  11, 55, 57),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'FRANCE',  10, 55, 57),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'FRANCE',  9, 43, 48), ('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'FRANCE',  9, 50, 52), ('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'FRANCE',  9, 54, 57),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'FRANCE',  8, 42, 57),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'FRANCE',  7, 42, 57),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'FRANCE',  6, 42, 57),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'FRANCE',  5, 42, 57),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'FRANCE',  4, 41, 58),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'FRANCE',  3, 40, 58),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'FRANCE',  2, 39, 57),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'FRANCE',  1, 36, 58),
('BRIT_POTOLOMY', 'MAPSIZE_STANDARD', 'FRANCE',  0, 35, 58)

;

INSERT INTO HV_Map_MountainSplats (MapType, MapSize, X, Y, Radius)
VALUES
('BRIT_POTOLOMY','MAPSIZE_STANDARD', 36, 37, 10), -- scottish highlands, east
('BRIT_POTOLOMY','MAPSIZE_STANDARD', 49, 36, 8), -- scottish highlands, west
('BRIT_POTOLOMY','MAPSIZE_STANDARD', 30, 21, 5), -- snowdonia
('BRIT_POTOLOMY','MAPSIZE_STANDARD', 33, 30, 5), -- pennines
('BRIT_POTOLOMY','MAPSIZE_STANDARD', 24, 4, 3) -- cornwall

;

		
