CREATE TABLE IF NOT EXISTS HV_Map_LandPlots 
(
	MapType			text 		default null,
	MapSize			text 		default null,
	Region			text 		default null,
	Y				integer 	default 0,
	Xstart			integer 	default 0,
	Xend			integer 	default 0
);

CREATE TABLE IF NOT EXISTS HV_Map_Sizes
(
	MapType			text 		default null,
	MapSize			text 		default null,
	Width			text 		default null,
	Height			integer 	default 0
);

CREATE TABLE IF NOT EXISTS HV_Map_MountainSplats
(
	MapType			text 		default null,
	MapSize			text 		default null,
	X				integer 	default 0,
	Y				integer 	default 0,
	Radius			integer 	default 0
);


INSERT INTO HV_Map_Sizes (MapType, MapSize, Width, Height)
VALUES ('BRIT_POTOLOMY', 'MAPSIZE_TINY', 50, 38);

INSERT INTO HV_Map_LandPlots (MapType, MapSize, Region, Y, Xstart, Xend)
VALUES 
-- ===== Small Islands =====
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_WIGHT',  4, 27, 28),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_WIGHT',  3, 26, 26),

('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_MAN',  20, 19, 19),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_MAN',  19, 19, 20),

('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_MAN',  25, 20, 20),

('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_MAN',  24, 19, 19),

('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_HEBRIDES',  33, 19, 19), 

('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_HEBRIDES',  33, 21, 21), 

('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_HEBRIDES',  34, 23, 23), ('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_HEBRIDES',  34, 25, 25), 
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_HEBRIDES',  33, 24, 25), 
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_HEBRIDES',  32, 24, 24),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_HEBRIDES',  31, 23, 23), 

('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_ORKNEYS',  36, 41, 41),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_ORKNEYS',  35, 40, 42),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_ORKNEYS',  34, 41, 41),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_ORKNEYS',  33, 41, 42),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_ORKNEYS',  32, 40, 42),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_ORKNEYS',  31, 40, 41),

('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_CHANNEL_NORTH',  20, 44, 45),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_CHANNEL_NORTH',  19, 44, 44),

('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_CHANNEL_NORTH',  16, 43, 43),

('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_CHANNEL_SOUTH',  12, 38, 38),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_CHANNEL_SOUTH',  11, 37, 37),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_CHANNEL_SOUTH',  10, 38, 38),

('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ISLE_SCILLY',  2, 9, 9),
-- ===== Scotland =====
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_EAST',  31, 26, 27), 
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_EAST',  30, 25, 27), 
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_EAST',  29, 25, 29),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_EAST',  28, 24, 29),  
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_EAST',  27, 24, 30), 
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_EAST',  26, 23, 31), 
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_EAST',  25, 24, 32), -- firth of forth
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_EAST',  24, 24, 32), 
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_EAST',  23, 23, 30), 
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_EAST',  22, 23, 29), 

('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_WEST',  29, 32, 36), ('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_WEST',  29, 40, 40), 
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_WEST',  28, 32, 42), 
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_WEST',  27, 33, 42), 
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_WEST',  26, 33, 41), 
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_WEST',  25, 33, 38), 
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_WEST',  24, 33, 37),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_WEST',  23, 32, 37),  
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_WEST',  22, 33, 33), ('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'SCOTLAND_WEST',  22, 36, 37), 

-- ===== England =====
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_NORTH',  21, 23, 27),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_NORTH',  20, 23, 27),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_NORTH',  19, 23, 27),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_NORTH',  18, 23, 27),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_NORTH',  17, 22, 28),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_NORTH',  16, 23, 28), -- top of wales
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_NORTH',  15, 23, 24), ('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_NORTH',  15, 26, 27),

('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_SOUTH',  15, 25, 25),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_SOUTH',  14, 23, 28),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_SOUTH',  13, 23, 28),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_SOUTH',  12, 23, 28),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_SOUTH',  11, 23, 28),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_SOUTH',  10, 23, 27), -- thames estury, bottom of wales
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_SOUTH',  9, 22, 28),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_SOUTH',  8, 23, 29), -- top of cornwall
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_SOUTH',  7, 23, 27),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_SOUTH',  6, 23, 27),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_SOUTH',  5, 24, 25),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_SOUTH',  4, 24, 24),

('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_CORNWALL',  8, 21, 22),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_CORNWALL',  7, 19, 22),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_CORNWALL',  6, 17, 22),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_CORNWALL',  5, 16, 23),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_CORNWALL',  4, 13, 23),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_CORNWALL',  3, 12, 19),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_CORNWALL',  2, 13, 13), ('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'ENGLAND_CORNWALL',  2, 16, 17),


-- ===== Wales =====
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'WALES',  16, 20, 22),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'WALES',  15, 18, 22),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'WALES',  14, 18, 22),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'WALES',  13, 18, 22),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'WALES',  12, 19, 22),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'WALES',  11, 17, 22),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'WALES',  10, 19, 19), ('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'WALES',  10, 22, 22),

-- ===== Ireland =====
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_NORTH',  31, 14, 15), ('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_NORTH',  31, 19, 21),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_NORTH',  30, 13, 16), ('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_NORTH',  30, 18, 21),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_NORTH',  29, 14, 19),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_NORTH',  28, 14, 19),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_NORTH',  27, 13, 18),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_NORTH',  26, 12, 18),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_NORTH',  25, 13, 17),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_NORTH',  24, 15, 17),

('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_SOUTH',  25, 12, 12),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_SOUTH',  24, 11, 14),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_SOUTH',  23, 10, 16),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_SOUTH',  22, 8, 17),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_SOUTH',  21, 8, 17),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_SOUTH',  20, 8, 17),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_SOUTH',  19, 7, 13), ('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_SOUTH',  19, 15, 17),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'IRELAND_SOUTH',  18, 11, 13),

-- ===== The Continent =====
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  21, 49, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  20, 48, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  19, 48, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  18, 46, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  17, 45, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  16, 45, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  15, 46, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  14, 47, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  13, 43, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  12, 42, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  11, 41, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  10, 40, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  9, 42, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  8, 41, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  7, 41, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  6, 41, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  5, 41, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  4, 41, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  3, 41, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  2, 42, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  1, 42, 49),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'GERMANY',  0, 42, 49),

('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'FRANCE',  8, 39, 39),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'FRANCE',  7, 32, 33), ('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'FRANCE',  7, 37, 40),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'FRANCE',  6, 31, 40),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'FRANCE',  5, 30, 40),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'FRANCE',  4, 30, 40),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'FRANCE',  3, 30, 40),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'FRANCE',  2, 29, 41),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'FRANCE',  1, 26, 41),
('BRIT_POTOLOMY', 'MAPSIZE_TINY', 'FRANCE',  0, 25, 41)

;

INSERT INTO HV_Map_MountainSplats (MapType, MapSize, X, Y, Radius)
VALUES
('BRIT_POTOLOMY','MAPSIZE_TINY', 25, 26, 8), -- scottish highlands, east
('BRIT_POTOLOMY','MAPSIZE_TINY', 35, 26, 6), -- scottish highlands, west
('BRIT_POTOLOMY','MAPSIZE_TINY', 21, 15, 3), -- snowdonia
('BRIT_POTOLOMY','MAPSIZE_TINY', 24, 20, 3), -- pennines
('BRIT_POTOLOMY','MAPSIZE_TINY', 17, 3, 2) -- cornwall

;

		
