CREATE TABLE IF NOT EXISTS HV_Map_LandPlots 
(
	MapType			text 		default null,
	MapSize			text 		default null,
	Region			text 		default null,
	Y				integer 	default 0,
	Xstart			integer 	default 0,
	Xend			integer 	default 0
);

CREATE TABLE IF NOT EXISTS HV_Map_Sizes
(
	MapType			text 		default null,
	MapSize			text 		default null,
	Width			text 		default null,
	Height			integer 	default 0
);

CREATE TABLE IF NOT EXISTS HV_Map_MountainSplats
(
	MapType			text 		default null,
	MapSize			text 		default null,
	X				integer 	default 0,
	Y				integer 	default 0,
	Radius			integer 	default 0
);

INSERT INTO HV_Map_Sizes (MapType, MapSize, Width, Height)
VALUES ('BRITISH_ISLES', 'MAPSIZE_SMALL', 50, 61);

INSERT INTO HV_Map_LandPlots (MapType, MapSize, Region, Y, Xstart, Xend)
VALUES 
-- ===== small islands =====

('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ISLE_ORKNEY', 58, 28, 29), -- Orkneys. Above scotland. Which for the purpose of this map are mashed into a single blocky landmass. 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ISLE_ORKNEY', 57, 28, 28),

('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ISLE_HEBRIDES', 54, 17, 18), -- Hebrides. A little to the left of scotland.
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ISLE_HEBRIDES', 53, 16, 17),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ISLE_HEBRIDES', 52, 15, 17),	
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ISLE_HEBRIDES', 51, 15, 16),

('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ISLE_HEBRIDES', 49, 13, 14),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ISLE_HEBRIDES', 48, 14, 14),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ISLE_HEBRIDES', 47, 14, 14),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ISLE_HEBRIDES', 46, 14, 14),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ISLE_HEBRIDES', 45, 13, 13),

('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ISLE_MAN', 29, 24, 24), -- isle of man. Between england and ireland
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ISLE_MAN', 28, 23, 24),

('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ISLE_WIGHT', 6, 35, 36), -- isle of wight. South coast

('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ISLE_SCILLY', 1, 17, 17), -- scilly. By tip of cornwall.

-- ===== mainland England/Scotland ====

('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 55, 22, 24), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 55, 26, 28),  -- top of scotland
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 54, 22, 28),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 53, 21, 27),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 52, 21, 26),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 51, 20, 25),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 50, 20, 26), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 50, 28, 28),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 49, 17, 18), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 49, 20, 33), -- wide bit of scotland
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 48, 16, 18), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 48, 20, 33),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 47, 17, 32),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 46, 19, 32),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 45, 19, 32),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 44, 18, 31), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 43, 16, 16), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 43, 18, 31),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 42, 15, 15), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 42, 18, 19), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 42, 21, 30),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 41, 17, 1),  ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 41, 20, 30),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 40, 21, 28),  -- firth of forth
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 39, 19, 31),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 38, 17, 18), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 38, 20, 20), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 38, 22, 32),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 37, 18, 18), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 37, 20, 21), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 37, 23, 32), -- top of england/scotland border
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 36, 20, 21), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 36, 24, 31), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 35, 20, 20), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 35, 23, 31), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 34, 23, 29), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 33, 22, 28), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 32, 22, 22), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'SCOTLAND', 32, 24, 26),  -- bottom of england/scotland border

('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 37, 33, 33), -- top of england/scotland border
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 36, 32, 34), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 35, 32, 34), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 34, 30, 34), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 33, 29, 34), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 32, 28, 35), -- bottom of england/scotland border
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 31, 28, 35),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 30, 27, 37),	
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 29, 28, 38), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 28, 28, 38),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 27, 30, 39), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 26, 29, 40), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 25, 29, 40), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 24, 29, 40), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 23, 29, 33), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 23, 35, 41), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 22, 31, 33), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_NORTH', 22, 36, 39), 


('BRITISH_ISLES', 'MAPSIZE_SMALL', 'WALES', 23, 23, 24), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'WALES', 23, 28, 28),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'WALES', 22, 24, 30),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'WALES', 21, 25, 31),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'WALES', 20, 23, 31),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'WALES', 19, 26, 29),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'WALES', 18, 26, 30),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'WALES', 17, 26, 30),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'WALES', 16, 25, 30),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'WALES', 15, 23, 31),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'WALES', 14, 21, 31),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'WALES', 13, 21, 31),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'WALES', 12, 22, 22), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'WALES', 12, 25, 25), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'WALES', 12, 27, 28),--


('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 23, 34, 34),  -- top of wales. Liverpool.
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 22, 34, 35), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 22, 40, 41), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 21, 32, 40),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 20, 32, 44),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 19, 30, 45),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 18, 31, 46),	-- wide bit of england
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 17, 31, 46),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 16, 31, 46),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 15, 32, 45),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 14, 32, 44),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 13, 32, 44),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 12, 30, 42), -- bottom of wales, and mouth of the thames
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 11, 30, 43),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 10, 32, 44),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 9, 32, 43), -- top of cornwall
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 8, 33, 42),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_SOUTH', 7, 40, 41), -- south coast. 


('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL', 10, 29, 31),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL', 9, 25, 31),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL', 8, 24, 32),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL', 7, 24, 31),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL', 6, 23, 28),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL', 5, 22, 27),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL', 4, 21, 23), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL', 4, 26, 27),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'ENGLAND_CORNWALL', 3, 20, 21),


-- ===== Ireland =====

('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_ULSTER', 35, 14, 14), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_ULSTER', 34, 11, 14), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_ULSTER', 34, 16, 18),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_ULSTER', 33, 10, 18),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_ULSTER', 32, 10, 19),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_ULSTER', 31, 9, 16), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_ULSTER', 31, 18, 20), -- lough neagh. 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_ULSTER', 30, 11, 16), ('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_ULSTER', 30, 18, 20),	
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_ULSTER', 29, 11, 19),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_ULSTER', 28, 12, 18),	-- top of wide bit
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_ULSTER', 27, 13, 18),

('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_CONNACHT', 29, 10, 10),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_CONNACHT', 28, 5, 11),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_CONNACHT', 27, 5, 12),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_CONNACHT', 26, 6, 12),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_CONNACHT', 25, 5, 11),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_CONNACHT', 24, 4, 11),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_CONNACHT', 23, 5, 12), -- bottom of wide bit. Galway & Dublin.
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_CONNACHT', 22, 9, 12), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_CONNACHT', 21, 9, 11), -- the not-quite-so-wide bit

('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_LEINSTER', 27, 16, 18), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_LEINSTER', 26, 13, 17), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_LEINSTER', 25, 12, 17), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_LEINSTER', 24, 12, 18), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_LEINSTER', 23, 13, 18), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_LEINSTER', 22, 13, 17),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_LEINSTER', 21, 12, 18),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_LEINSTER', 20, 13, 18), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_LEINSTER', 19, 14, 18), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_LEINSTER', 18, 14, 17), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_LEINSTER', 17, 14, 17), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_LEINSTER', 16, 15, 16), 

('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_MUNSTER', 21, 7, 8), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_MUNSTER', 20, 6, 12), 
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_MUNSTER', 19, 6, 13),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_MUNSTER', 18, 6, 13),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_MUNSTER', 17, 5, 13),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_MUNSTER', 16, 4, 14), -- the lower wide bit. Limerick.
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_MUNSTER', 15, 5, 13),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_MUNSTER', 14, 4, 11),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_MUNSTER', 13, 5, 10),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'IRELAND_MUNSTER', 12, 6, 8), -- bottom of ireland

-- ===== The Continent =====
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'FRANCE', 9, 49, 49), -- top of that part of france which fits on this map.
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'FRANCE', 8, 47, 49),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'FRANCE', 7, 46, 49),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'FRANCE', 6, 46, 49),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'FRANCE', 5, 46, 49),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'FRANCE', 4, 45, 49),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'FRANCE', 3, 45, 49),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'FRANCE', 2, 43, 49),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'FRANCE', 1, 42, 49),
('BRITISH_ISLES', 'MAPSIZE_SMALL', 'FRANCE', 0, 41, 49), -- bottom of the map.

('BRITISH_ISLES', 'MAPSIZE_SMALL', 'NORMANDY', 0, 34, 35) -- tip of normandy
;

INSERT INTO HV_Map_MountainSplats (MapType, MapSize, X, Y, Radius)
VALUES
('BRITISH_ISLES','MAPSIZE_SMALL', 25, 45, 16), -- scottish highlands
('BRITISH_ISLES','MAPSIZE_SMALL', 28, 21, 5), -- snowdonia
('BRITISH_ISLES','MAPSIZE_SMALL', 29, 30, 5) -- lake district
;

