CREATE TABLE IF NOT EXISTS HV_Map_LandPlots 
(
	MapType			text 		default null,
	MapSize			text 		default null,
	Region			text 		default null,
	Y				integer 	default 0,
	Xstart			integer 	default 0,
	Xend			integer 	default 0
);

CREATE TABLE IF NOT EXISTS HV_Map_Sizes
(
	MapType			text 		default null,
	MapSize			text 		default null,
	Width			text 		default null,
	Height			integer 	default 0
);

CREATE TABLE IF NOT EXISTS HV_Map_MountainSplats
(
	MapType			text 		default null,
	MapSize			text 		default null,
	X				integer 	default 0,
	Y				integer 	default 0,
	Radius			integer 	default 0
);

INSERT INTO HV_Map_Sizes (MapType, MapSize, Width, Height)
VALUES ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 60, 73);

INSERT INTO HV_Map_LandPlots (MapType, MapSize, Region, Y, Xstart, Xend)
VALUES 
-- ===== small islands =====
	
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_ORKNEY',  71, 36, 37), -- ISLE_ORKNEYs. Above scotland. Which for the purpose of this map are mashed into a single blocky landmass. 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_ORKNEY',  70, 34, 36),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_ORKNEY',  69, 34, 36),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_ORKNEY',  68, 34, 35),

('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  65, 21, 21), -- ISLE_HEBRIDES. A little to the left of scotland.
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  64, 19, 21),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  63, 18, 20),	
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  62, 18, 20),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  61, 18, 19),

('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  59, 16, 17),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  58, 17, 17),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  57, 17, 17),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  56, 16, 17),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  55, 16, 17),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_HEBRIDES',  54, 16, 16),

('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_MAN',  35, 29, 29), -- isle of man. Between ENGLAND_SOUTH and ireland
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_MAN',  34, 28, 29),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_MAN',  33, 28, 28),

('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_WIGHT',  8, 42, 44), -- isle of wight. South coast

('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ISLE_SCILLY',  2, 20, 20), -- scilly. By tip of cornwall.

-- ===== mainland ENGLAND_SOUTH/Scotland ====

('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  66, 27, 27), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  66, 31, 34),  -- top of scotland
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  65, 27, 34), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  64, 26, 33),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  63, 25, 32),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  62, 25, 31),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  61, 24, 30),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  60, 23, 31), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  60, 33, 34),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  59, 21, 21), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  59, 24, 30),	('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  59, 32, 39), -- wide bit of scotland
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  58, 19, 21), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  58, 23, 40),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  57, 20, 22), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  57, 24, 39),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  56, 21, 39),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  55, 21, 21), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  55, 23, 38),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  54, 23, 38),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  53, 23, 37),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  52, 22, 37),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  51, 18, 19), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  51, 21, 36),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  50, 22, 23), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  50, 25, 35),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  49, 21, 22), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  49, 24, 36),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  48, 23, 34), -- firth of forth.
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  47, 23, 33), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  47, 36, 37),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  46, 21, 22), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  46, 24, 39),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  45, 20, 22), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  45, 24, 25), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  45, 27, 40),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  44, 21, 21), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  44, 24, 26), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  44, 28, 40),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  43, 24, 24), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  43, 26, 26), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  43, 28, 39), -- top of scotland/england border
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  42, 24, 24), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  42, 28, 38), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  41, 27, 41), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  40, 26, 35), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  39, 26, 34), 	
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  38, 27, 27), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  38, 29, 31),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'SCOTLAND',  37, 27, 27), 

('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  43, 40, 41), -- top of scotland/england border
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  42, 39, 41),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  41, 27, 41),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  40, 36, 41),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  39, 35, 42),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  38, 34, 42),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  37, 33, 43), -- bottom of scotland/england border
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  36, 33, 45), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  35, 33, 46), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  34, 34, 46), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  33, 34, 47), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  32, 35, 47), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  31, 35, 48), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  30, 35, 48), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  29, 34, 49), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  28, 34, 48),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  27, 35, 39), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  26, 36, 39),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  27, 41, 47), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_NORTH',  26, 42, 44),

('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  28, 28, 29),  
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  27, 28, 34), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  26, 29, 35), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  25, 29, 36),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  24, 27, 29), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  24, 31, 36),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  23, 31, 34), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  22, 31, 35),  
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  21, 31, 36),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  20, 30, 35), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  19, 29, 35), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  18, 27, 35), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  17, 25, 36), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  16, 26, 36),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  15, 25, 27), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  15, 30, 36), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  14, 30, 30), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'WALES',  14, 32, 33), 
 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  28, 49, 49), -- top of wales. Liverpool. North/south england border
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  27, 40, 40), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  27, 48, 49),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  26, 40, 41), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  26, 45, 48),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  25, 37, 48), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  25, 51, 53),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  24, 37, 54),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  23, 35, 55),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  22, 36, 55),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  21, 37, 55),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  20, 36, 55),	-- wide bit of england
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  19, 36, 54),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  18, 36, 54),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  17, 37, 53),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  16, 37, 52),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  15, 37, 52),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  14, 37, 52), -- bottom of wales, and mouth of the thames
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  13, 36, 51),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  12, 35, 53), -- top of cornwall
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  11, 35, 52),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  10, 35, 51),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  9, 36, 40),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  9, 46, 46),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  9, 48, 50),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  8, 37, 39), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_SOUTH',  5, 31, 32),
 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  12, 31, 33),  
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  11, 30, 34),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  10, 29, 34),  -- south coast. 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  9, 29, 35),   
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  8, 28, 34), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  7, 27, 33),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  6, 26, 32),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  5, 25, 27), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'ENGLAND_CORNWALL',  4, 24, 25), -- bottom of cornwall

-- ===== Ireland =====
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_ULSTER',  42, 17, 17), -- top of ireland
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_ULSTER',  41, 14, 18), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_ULSTER',  41, 20, 21),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_ULSTER',  40, 12, 22),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_ULSTER',  39, 12, 22),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_ULSTER',  38, 11, 23),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_ULSTER',  37, 11, 19), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_ULSTER',  37, 22, 24), -- lough neagh. 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_ULSTER',  36, 13, 19), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_ULSTER',  36, 21, 24),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_ULSTER',  35, 12, 24),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_ULSTER',  34, 13, 22),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_ULSTER',  33, 14, 18),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_ULSTER',  32, 15, 17),

('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_LEINSTER',  33, 19, 24),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_LEINSTER',  32, 18, 20),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_LEINSTER',  31, 15, 21),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_LEINSTER',  30, 14, 21),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_LEINSTER',  29, 14, 22),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_LEINSTER',  28, 15, 21),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_LEINSTER',  27, 15, 21),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_LEINSTER',  26, 15, 22),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_LEINSTER',  25, 14, 22),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_LEINSTER',  24, 14, 22),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_LEINSTER',  23, 15, 21),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_LEINSTER',  22, 15, 21),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_LEINSTER',  21, 15, 21),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_LEINSTER',  20, 16, 20),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_LEINSTER',  19, 17, 20),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_LEINSTER',  18, 17, 18),

('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_CONNACHT',  35, 11, 11),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_CONNACHT',  34, 5, 12),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_CONNACHT',  33, 6, 13),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_CONNACHT',  32, 5, 14),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_CONNACHT',  31, 8, 14),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_CONNACHT',  30, 6, 13),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_CONNACHT',  29, 6, 13),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_CONNACHT',  28, 5, 14),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_CONNACHT',  27, 7, 8), ('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_CONNACHT',  27, 10, 14),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_CONNACHT',  26, 10, 14),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_CONNACHT',  25, 8, 13),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_CONNACHT',  24, 11, 13),


('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_MUNSTER',  24, 9, 10),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_MUNSTER',  23, 7, 14),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_MUNSTER',  22, 9, 14),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_MUNSTER',  21, 7, 15), 
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_MUNSTER',  20, 6, 16),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_MUNSTER',  19, 4, 16),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_MUNSTER',  18, 6, 15),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_MUNSTER',  17, 4, 14),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_MUNSTER',  16, 5, 12),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_MUNSTER',  15, 6, 11),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'IRELAND_MUNSTER',  14, 7, 9), -- bottom of ireland

-- ===== The Continent =====
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'FRANCE',  11, 59, 59), -- top of that part of france which fits on this map.
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'FRANCE',  10, 56, 59),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'FRANCE',  9, 55, 59),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'FRANCE',  8, 55, 59),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'FRANCE',  7, 55, 59),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'FRANCE',  6, 55, 59),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'FRANCE',  5, 55, 59),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'FRANCE',  4, 54, 59),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'FRANCE',  3, 53, 59),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'FRANCE',  2, 51, 59),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'FRANCE',  1, 50, 59),
('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'FRANCE', 0, 49, 59), -- bottom of the map, including the tip of the pointy bit of france.

('BRITISH_ISLES', 'MAPSIZE_STANDARD', 'NORMANDY',  0, 40, 42)
;

INSERT INTO HV_Map_MountainSplats (MapType, MapSize, X, Y, Radius)
VALUES
('BRITISH_ISLES','MAPSIZE_STANDARD', 26, 54, 20), -- scottish highlands
('BRITISH_ISLES','MAPSIZE_STANDARD', 33, 25, 5), -- snowdonia
('BRITISH_ISLES','MAPSIZE_STANDARD', 35, 35, 5) -- pennines

;

		
