CREATE TABLE IF NOT EXISTS HV_Map_LandPlots 
(
	MapType			text 		default null,
	MapSize			text 		default null,
	Region			text 		default null,
	Y				integer 	default 0,
	Xstart			integer 	default 0,
	Xend			integer 	default 0
);

CREATE TABLE IF NOT EXISTS HV_Map_Sizes
(
	MapType			text 		default null,
	MapSize			text 		default null,
	Width			text 		default null,
	Height			integer 	default 0
);

CREATE TABLE IF NOT EXISTS HV_Map_MountainSplats
(
	MapType			text 		default null,
	MapSize			text 		default null,
	X				integer 	default 0,
	Y				integer 	default 0,
	Radius			integer 	default 0
);

INSERT INTO HV_Map_Sizes (MapType, MapSize, Width, Height)
VALUES ('BRITISH_ISLES', 'MAPSIZE_TINY', 40, 49);

INSERT INTO HV_Map_LandPlots (MapType, MapSize, Region, Y, Xstart, Xend)
VALUES 
-- ===== small islands =====
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ISLE_ORKNEY', 46, 23, 23),

('BRITISH_ISLES', 'MAPSIZE_TINY', 'ISLE_HEBRIDES', 44, 14, 14),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ISLE_HEBRIDES', 43, 13, 14),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ISLE_HEBRIDES', 42, 12, 13),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ISLE_HEBRIDES', 41, 12, 13),

('BRITISH_ISLES', 'MAPSIZE_TINY', 'ISLE_HEBRIDES', 39, 11, 11),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ISLE_HEBRIDES', 38, 11, 11),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ISLE_HEBRIDES', 37, 11, 11),

('BRITISH_ISLES', 'MAPSIZE_TINY', 'ISLE_MAN', 23, 19, 19),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ISLE_MAN', 22, 18, 19),

('BRITISH_ISLES', 'MAPSIZE_TINY', 'ISLE_WIGHT', 4, 26, 26),
 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ISLE_SCILLY', 1, 13, 13),

-- ===== Scotland ====	
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 44, 17, 23),  -- top of scotland
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 43, 17, 22),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 42, 17, 21),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 41, 16, 20),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 40, 16, 20),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 39, 13, 14), ('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 39, 16, 26), -- wide bit of scotland
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 38, 13, 26),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 37, 14, 25),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 36, 16, 25),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 35, 15, 24),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 34, 12, 12), ('BRITISH_ISLES' ,'MAPSIZE_TINY', 'SCOTLAND', 34, 14, 24),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 33, 14, 23), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 32, 16, 22),  -- the firth of forth
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 31, 14, 25),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 30, 14, 14), ('BRITISH_ISLES' ,'MAPSIZE_TINY', 'SCOTLAND', 30, 16, 16), ('BRITISH_ISLES' ,'MAPSIZE_TINY', 'SCOTLAND', 30, 18, 25), -- top of scotland/england border
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 29, 16, 16), ('BRITISH_ISLES' ,'MAPSIZE_TINY', 'SCOTLAND', 29, 19, 25), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 28, 18, 25), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 27, 18, 23),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 26, 17, 21), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'SCOTLAND', 25, 19, 19),  -- bottom of scotland/england border

-- ===== England ====	

('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_NORTH', 30, 26, 26),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_NORTH', 29, 26, 27), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_NORTH', 28, 26, 27), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_NORTH', 27, 24, 27),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_NORTH', 26, 22, 27), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_NORTH', 25, 22, 28), -- bottom of scotland/england border
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_NORTH', 24, 22, 29),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_NORTH', 23, 23, 30),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_NORTH', 22, 23, 31),	
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_NORTH', 21, 24, 31),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_NORTH', 20, 24, 31),		
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_NORTH', 19, 23, 32),			
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_NORTH', 18, 23, 26), ('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_NORTH', 18, 28, 33), -- top of wales. Liverpool.
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_NORTH', 17, 25, 26), ('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_NORTH', 17, 29, 31), 

('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_SOUTH', 18, 27, 27),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_SOUTH', 17, 27, 28), ('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_SOUTH', 17, 32, 32),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_SOUTH', 16, 25, 35),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_SOUTH', 15, 25, 36),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_SOUTH', 14, 24, 37),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_SOUTH', 13, 24, 37),	-- wide bit of england
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_SOUTH', 12, 25, 36),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_SOUTH', 11, 25, 35),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_SOUTH', 10, 25, 35), -- bottom of wales, 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_SOUTH', 9, 23, 34), -- mouth of the thames
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_SOUTH', 8, 24, 35),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_SOUTH', 7, 25, 34), -- top of cornwall
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_SOUTH', 6, 26, 33), -- south coast.

('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_CORNWALL', 7, 20, 24), -- top of cornwall
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_CORNWALL', 6, 19, 25),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_CORNWALL', 5, 19, 22),  
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_CORNWALL', 4, 17, 21), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'ENGLAND_CORNWALL', 3, 16, 18),  -- bottom of cornwall

-- ===== Wales =====
('BRITISH_ISLES', 'MAPSIZE_TINY', 'WALES', 18, 19, 20), ('BRITISH_ISLES', 'MAPSIZE_TINY', 'WALES', 18, 22, 22), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'WALES', 17, 20, 24),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'WALES', 16, 20, 24), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'WALES', 15, 21, 24), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'WALES', 14, 21, 23), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'WALES', 13, 20, 23), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'WALES', 12, 19, 24), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'WALES', 11, 17, 24),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'WALES', 10, 17, 18), ('BRITISH_ISLES', 'MAPSIZE_TINY', 'WALES', 10, 20, 24),  


-- ===== Ireland =====
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_ULSTER', 28, 11, 11), -- top of ireland
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_ULSTER', 27, 9, 14),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_ULSTER', 26, 8, 14),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_ULSTER', 25, 8, 15),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_ULSTER', 24, 9, 13), ('BRITISH_ISLES','MAPSIZE_TINY', 'IRELAND_ULSTER', 24, 15, 16), -- logh neagh
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_ULSTER', 23, 9, 15), -- top of wide bit
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_ULSTER', 22, 10, 12),

('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_CONNACHT', 23, 4, 5), ('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_CONNACHT', 23, 8, 8),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_CONNACHT', 22, 4, 9),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_CONNACHT', 21, 5, 10),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_CONNACHT', 20, 4, 9),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_CONNACHT', 19, 4, 9),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_CONNACHT', 18, 5, 10),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_CONNACHT', 17, 7, 10),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_CONNACHT', 16, 8, 9),

('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_LEINSTER', 22, 13, 14),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_LEINSTER', 21, 11, 13),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_LEINSTER', 20, 10, 13),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_LEINSTER', 19, 10, 14),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_LEINSTER', 18, 11, 14),  -- bottom of wide bit. Galway & Dublin.
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_LEINSTER', 17, 11, 13), -- the not-quite-so-wide bit
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_LEINSTER', 16, 10, 14),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_LEINSTER', 15, 10, 14),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_LEINSTER', 14, 11, 14),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_LEINSTER', 13, 12, 13),

('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_MUNSTER', 16, 6, 7), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_MUNSTER', 15, 5, 14), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_MUNSTER', 14, 4, 10), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_MUNSTER', 13, 4, 11), -- the lower wide bit. Limerick.
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_MUNSTER', 12, 3, 10),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_MUNSTER', 11, 3, 8),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_MUNSTER', 10, 4, 7), 
('BRITISH_ISLES', 'MAPSIZE_TINY', 'IRELAND_MUNSTER', 9, 5, 5), -- bottom of ireland

-- ===== The Continent =====
('BRITISH_ISLES', 'MAPSIZE_TINY', 'FRANCE',8, 39, 39), -- top of that part of france which fits on this map.
('BRITISH_ISLES', 'MAPSIZE_TINY', 'FRANCE',7, 38, 39),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'FRANCE',6, 38, 39),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'FRANCE',5, 37, 39),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'FRANCE',4, 37, 39),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'FRANCE',3, 36, 39),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'FRANCE',2, 35, 39),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'FRANCE',1, 33, 39),
('BRITISH_ISLES', 'MAPSIZE_TINY', 'FRANCE',0, 32, 39),  -- bottom of the map.

('BRITISH_ISLES', 'MAPSIZE_TINY', 'NORMANDY',0, 27, 28) 
;



INSERT INTO HV_Map_MountainSplats (MapType, MapSize, X, Y, Radius)
VALUES
('BRITISH_ISLES','MAPSIZE_TINY', 19, 35, 13), -- scottish highlands
('BRITISH_ISLES','MAPSIZE_TINY', 23, 16, 4), -- snowdonia
('BRITISH_ISLES','MAPSIZE_TINY', 24, 24, 4) -- lake district
;
