
CREATE TABLE IF NOT EXISTS HV_Map_TrueStartRegion
(
	MapType				text 		default null,
	MapSize				text 		default null,
	Civilization		text 		default null,
	Leader				text 		default null,
	Region				text		default null,
	OverrideCapital		text 		default null
);

CREATE TABLE IF NOT EXISTS HV_Map_TrueWonderRegion
(
	MapType				text 		default null,
	MapSize				text 		default null,
	Wonder				text 		default null,
	Region				text		default null
);



INSERT INTO HV_Map_TrueStartRegion (MapType, MapSize, Civilization, Leader, Region, OverrideCapital)
VALUES


-- from base game
('BRITISH_ISLES', null, 'CIVILIZATION_FRANCE', null, 'FRANCE', 'Calais'),
('BRITISH_ISLES', null, 'CIVILIZATION_NORWAY', null, 'ENGLAND_NORTH', 'Jorvik'),
('BRITISH_ISLES', null, 'CIVILIZATION_ENGLAND', null, 'ENGLAND_SOUTH', null),
('BRITISH_ISLES', null, 'CIVILIZATION_ROME', null, 'ENGLAND_SOUTH', 'Camulodunum'),


-- from DLC
('BRITISH_ISLES', null, 'CIVILIZATION_ARMAGH', null, 'IRELAND_ULSTER', null),


-- from mods
('BRITISH_ISLES', null, 'CIVILIZATION_GAULE',  null, 'FRANCE', null),
('BRITISH_ISLES', null, 'CIVILIZATION_ICENI',  null, 'ENGLAND_SOUTH', null),
('BRITISH_ISLES', null, 'CIVILIZATION_FOREST',  null, 'ENGLAND_NORTH', null),
('BRITISH_ISLES', null, 'CIVILIZATION_ROME', 'LEADER_SUK_HADRIAN', 'ENGLAND_NORTH', 'Pons Aelius'),
('BRITISH_ISLES', null, 'CIVILIZATION_ROME', 'LEADER_JFD_ANTONINUS_PIUS', 'SCOTLAND', 'Habitancum'),
('BRITISH_ISLES', null, 'CIVILIZATION_ROME', 'LEADER_CAF_CONSTANTINE', 'ENGLAND_NORTH', 'Eboracum')


;



-- true-starts for British natural wonders
INSERT INTO HV_Map_TrueWonderRegion (MapType, MapSize, Wonder, Region)
VALUES
('BRITISH_ISLES', null, 'FEATURE_CLIFFS_DOVER', 'ENGLAND_SOUTH'),
('BRITISH_ISLES', null, 'FEATURE_GIANTS_CAUSEWAY', 'IRELAND_ULSTER')

;


